[artix-build-failures] [galaxy-goblins] Failure: python-pipreqs

jenkins at artixlinux.org jenkins at artixlinux.org
Fri Nov 13 10:39:43 CET 2020


   Failure

   Build: x86_64/community-staging

   Packages:

   python-pipreqs-0.4.10-3-any.pkg.tar.zst

   author: alium

   email: alium at artixlinux.org

   [1]https://orion.artixlinux.org/job/packagesPython/job/python-pipreqs/j
   ob/master/2/

References

   1. https://orion.artixlinux.org/job/packagesPython/job/python-pipreqs/job/master/2/
-------------- next part --------------
Push event to branch master
Querying the current revision of branch master...
Current revision of branch master is 258f1b0d7aa8a4f7a7f232e4f5c336f3d2a0f416
Obtained Jenkinsfile from 258f1b0d7aa8a4f7a7f232e4f5c336f3d2a0f416
Running in Durability level: PERFORMANCE_OPTIMIZED
Loading library artix-ci at master
Attempting to resolve master from remote references...
 > git --version # timeout=10
 > git --version # 'git version 2.27.0'
 > git ls-remote -- https://gitea.artixlinux.org/artix/pipeline-libs.git # timeout=10
Found match: refs/heads/master revision 6271842ae2c48166f805c969881e1444705a8d74
Selected Git installation does not exist. Using Default
The recommended git tool is: NONE
Warning: CredentialId "jenkins-gotea-token" could not be found.
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://gitea.artixlinux.org/artix/pipeline-libs.git # timeout=10
Fetching without tags
Fetching upstream changes from https://gitea.artixlinux.org/artix/pipeline-libs.git
 > git --version # timeout=10
 > git --version # 'git version 2.27.0'
 > git fetch --no-tags --force --progress -- https://gitea.artixlinux.org/artix/pipeline-libs.git +refs/heads/master:refs/remotes/origin/master # timeout=10
Checking out Revision 6271842ae2c48166f805c969881e1444705a8d74 (master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 6271842ae2c48166f805c969881e1444705a8d74 # timeout=10
Commit message: "zse map type prop instead of def type"
[Gitea] Notifying branch build status: PENDING Build started...
[Gitea] Notified
[Pipeline] Start of Pipeline
[Pipeline] node
Running on Jenkins in /var/lib/jenkins/workspace/agesPython_python-pipreqs_master
[Pipeline] {
[Pipeline] timestamps
[Pipeline] {
[Pipeline] stage
[Pipeline] { (Prepare)
[Pipeline] catchError
[Pipeline] {
[Pipeline] checkout
[2020-11-13T09:38:53.451Z] The recommended git tool is: NONE
[2020-11-13T09:38:53.451Z] Warning: CredentialId "jenkins-gotea-token" could not be found.
[2020-11-13T09:38:53.452Z]  > git rev-parse --is-inside-work-tree # timeout=10
[2020-11-13T09:38:53.457Z] Fetching changes from the remote Git repository
[2020-11-13T09:38:53.457Z]  > git config remote.origin.url https://237b7412742b4068af4173944de150f12959f4d3@gitea.artixlinux.org/packagesPython/python-pipreqs.git # timeout=10
[2020-11-13T09:38:53.462Z] Cleaning workspace
[2020-11-13T09:38:53.462Z]  > git rev-parse --verify HEAD # timeout=10
[2020-11-13T09:38:53.467Z] Resetting working tree
[2020-11-13T09:38:53.467Z]  > git reset --hard # timeout=10
[2020-11-13T09:38:53.474Z]  > git clean -fdx # timeout=10
[2020-11-13T09:38:53.479Z] Fetching without tags
[2020-11-13T09:38:53.479Z] Fetching upstream changes from https://237b7412742b4068af4173944de150f12959f4d3@gitea.artixlinux.org/packagesPython/python-pipreqs.git
[2020-11-13T09:38:53.479Z]  > git --version # timeout=10
[2020-11-13T09:38:53.483Z]  > git --version # 'git version 2.27.0'
[2020-11-13T09:38:53.483Z]  > git fetch --no-tags --force --progress -- https://237b7412742b4068af4173944de150f12959f4d3@gitea.artixlinux.org/packagesPython/python-pipreqs.git +refs/heads/master:refs/remotes/origin/master # timeout=10
[2020-11-13T09:38:53.622Z] Checking out Revision 258f1b0d7aa8a4f7a7f232e4f5c336f3d2a0f416 (master)
[2020-11-13T09:38:53.622Z]  > git config core.sparsecheckout # timeout=10
[2020-11-13T09:38:53.626Z]  > git checkout -f 258f1b0d7aa8a4f7a7f232e4f5c336f3d2a0f416 # timeout=10
[2020-11-13T09:38:53.635Z] Commit message: "[trunk] -> [community-staging] 'python-pipreqs-0.4.10-3' add"
[2020-11-13T09:38:53.636Z]  > git rev-list --no-walk 7d6def07130f74675786ebe6a85e94663b741681 # timeout=10
[2020-11-13T09:38:53.647Z] Cleaning workspace
[2020-11-13T09:38:53.647Z]  > git rev-parse --verify HEAD # timeout=10
[2020-11-13T09:38:53.652Z] Resetting working tree
[2020-11-13T09:38:53.652Z]  > git reset --hard # timeout=10
[2020-11-13T09:38:53.658Z]  > git clean -fdx # timeout=10
[2020-11-13T09:38:53.663Z] [Gitea] Notifying branch build status: PENDING Build started...
[2020-11-13T09:38:53.779Z] [Gitea] Notified
[Pipeline] libraryResource
[Pipeline] readYaml
[Pipeline] sh
[2020-11-13T09:38:54.052Z] + git show -s --format=%an 258f1b0d7aa8a4f7a7f232e4f5c336f3d2a0f416
[Pipeline] sh
[2020-11-13T09:38:54.310Z] + git show -s --format=%ae 258f1b0d7aa8a4f7a7f232e4f5c336f3d2a0f416
[Pipeline] sh
[2020-11-13T09:38:54.567Z] + git show --pretty=format: --name-status 258f1b0d7aa8a4f7a7f232e4f5c336f3d2a0f416
[Pipeline] fileExists
[Pipeline] sh
[2020-11-13T09:38:54.840Z] + pkg2yaml -d x86_64/community-staging
[Pipeline] readYaml
[Pipeline] }
[Pipeline] // catchError
[Pipeline] }
[Pipeline] // stage
[Pipeline] stage
[Pipeline] { (Build)
[Pipeline] withCredentials
[2020-11-13T09:38:55.011Z] Masking supported pattern matches of $BUILDBOT_GPGP
[Pipeline] {
[Pipeline] echo
[2020-11-13T09:38:55.042Z] isLibBump: false
[Pipeline] dir
[2020-11-13T09:38:55.047Z] Running in /var/lib/jenkins/workspace/agesPython_python-pipreqs_master/x86_64/community-staging
[Pipeline] {
[Pipeline] catchError
[Pipeline] {
[Pipeline] sh
[2020-11-13T09:38:55.315Z] + buildpkg -C -d galaxy-goblins
[2020-11-13T09:38:58.543Z] :: Synchronizing package databases...
[2020-11-13T09:38:58.543Z]  goblins is up to date
[2020-11-13T09:38:58.543Z]  gremlins is up to date
[2020-11-13T09:38:58.543Z]  system is up to date
[2020-11-13T09:38:58.543Z]  world is up to date
[2020-11-13T09:38:58.543Z] downloading galaxy-goblins.db...
[2020-11-13T09:38:58.543Z]  galaxy-gremlins is up to date
[2020-11-13T09:38:58.543Z]  galaxy is up to date
[2020-11-13T09:38:58.543Z]  extra is up to date
[2020-11-13T09:38:58.543Z]  community-staging is up to date
[2020-11-13T09:38:58.543Z]  community-testing is up to date
[2020-11-13T09:38:58.543Z]  community is up to date
[2020-11-13T09:38:58.543Z] :: Starting full system upgrade...
[2020-11-13T09:38:58.793Z]  there is nothing to do
[2020-11-13T09:39:00.137Z] ==> Building in chroot for [goblins] (x86_64)...
[2020-11-13T09:39:00.687Z] ==> Synchronizing chroot copy [/build/buildpkg/goblins-x86_64/root] -> [jenkins]...done
[2020-11-13T09:39:01.599Z] ==> Making package: python-pipreqs 0.4.10-3 (Fri Nov 13 10:39:01 2020)
[2020-11-13T09:39:01.599Z] ==> Retrieving sources...
[2020-11-13T09:39:01.599Z]   -> Found python-pipreqs-0.4.10.tar.gz
[2020-11-13T09:39:01.599Z] ==> Validating source files with sha512sums...
[2020-11-13T09:39:01.599Z]     python-pipreqs-0.4.10.tar.gz ... Passed
[2020-11-13T09:39:06.793Z] ==> Making package: python-pipreqs 0.4.10-3 (Fri 13 Nov 2020 09:39:06 AM UTC)
[2020-11-13T09:39:06.793Z] ==> Checking runtime dependencies...
[2020-11-13T09:39:06.793Z] ==> Installing missing dependencies...
[2020-11-13T09:39:06.793Z] resolving dependencies...
[2020-11-13T09:39:06.793Z] looking for conflicting packages...
[2020-11-13T09:39:06.793Z] 
[2020-11-13T09:39:06.793Z] Package (14)                  New Version  Net Change  Download Size
[2020-11-13T09:39:06.793Z] 
[2020-11-13T09:39:06.793Z] system/libnsl                 1.3.0-1        0.19 MiB               
[2020-11-13T09:39:06.793Z] goblins/python                3.9.0-1       80.76 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-appdirs        1.4.4-3        0.07 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-chardet        3.0.4-7        1.11 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-idna           2.10-3         0.61 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-ordered-set    4.0.2-3        0.06 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-packaging      20.4-4         0.17 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-pyparsing      2.4.7-3        0.73 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-requests       2.24.0-2       0.44 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-setuptools     1:50.3.2-4     2.98 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-six            1.15.0-3       0.09 MiB               
[2020-11-13T09:39:06.793Z] goblins/python-urllib3        1.25.10-4      0.64 MiB               
[2020-11-13T09:39:06.793Z] galaxy-goblins/python-docopt  0.6.2-9        0.08 MiB       0.02 MiB
[2020-11-13T09:39:06.793Z] galaxy-goblins/python-yarg    0.1.9-6        0.13 MiB       0.02 MiB
[2020-11-13T09:39:06.793Z] 
[2020-11-13T09:39:06.793Z] Total Download Size:    0.05 MiB
[2020-11-13T09:39:06.793Z] Total Installed Size:  88.08 MiB
[2020-11-13T09:39:06.793Z] 
[2020-11-13T09:39:06.793Z] :: Proceed with installation? [Y/n] 
[2020-11-13T09:39:06.793Z] :: Retrieving packages...
[2020-11-13T09:39:06.793Z] downloading python-docopt-0.6.2-9-any.pkg.tar.zst...
[2020-11-13T09:39:06.793Z] downloading python-yarg-0.1.9-6-any.pkg.tar.zst...
[2020-11-13T09:39:06.793Z] checking keyring...
[2020-11-13T09:39:06.793Z] checking package integrity...
[2020-11-13T09:39:07.705Z] loading package files...
[2020-11-13T09:39:07.705Z] checking for file conflicts...
[2020-11-13T09:39:07.955Z] checking available disk space...
[2020-11-13T09:39:07.955Z] :: Processing package changes...
[2020-11-13T09:39:07.955Z] installing libnsl...
[2020-11-13T09:39:07.955Z] installing python...
[2020-11-13T09:39:08.205Z] Optional dependencies for python
[2020-11-13T09:39:08.205Z]     python-setuptools [pending]
[2020-11-13T09:39:08.205Z]     python-pip
[2020-11-13T09:39:08.205Z]     sqlite [installed]
[2020-11-13T09:39:08.205Z]     mpdecimal: for decimal
[2020-11-13T09:39:08.205Z]     xz: for lzma [installed]
[2020-11-13T09:39:08.205Z]     tk: for tkinter
[2020-11-13T09:39:08.205Z] installing python-docopt...
[2020-11-13T09:39:08.205Z] installing python-urllib3...
[2020-11-13T09:39:08.205Z] Optional dependencies for python-urllib3
[2020-11-13T09:39:08.205Z]     python-pysocks: SOCKS support
[2020-11-13T09:39:08.205Z]     python-brotli: Brotli support
[2020-11-13T09:39:08.205Z]     python-pyopenssl: security support
[2020-11-13T09:39:08.205Z] installing python-appdirs...
[2020-11-13T09:39:08.205Z] installing python-pyparsing...
[2020-11-13T09:39:08.205Z] installing python-six...
[2020-11-13T09:39:08.206Z] installing python-packaging...
[2020-11-13T09:39:08.206Z] installing python-ordered-set...
[2020-11-13T09:39:08.206Z] installing python-setuptools...
[2020-11-13T09:39:08.206Z] installing python-chardet...
[2020-11-13T09:39:08.206Z] installing python-idna...
[2020-11-13T09:39:08.206Z] installing python-requests...
[2020-11-13T09:39:08.206Z] Optional dependencies for python-requests
[2020-11-13T09:39:08.206Z]     python-pysocks: SOCKS proxy support
[2020-11-13T09:39:08.206Z] installing python-yarg...
[2020-11-13T09:39:08.456Z] ==> Checking buildtime dependencies...
[2020-11-13T09:39:08.456Z] ==> Retrieving sources...
[2020-11-13T09:39:08.456Z]   -> Found python-pipreqs-0.4.10.tar.gz
[2020-11-13T09:39:08.456Z] ==> WARNING: Skipping all source file integrity checks.
[2020-11-13T09:39:08.456Z] ==> Extracting sources...
[2020-11-13T09:39:08.456Z]   -> Extracting python-pipreqs-0.4.10.tar.gz with bsdtar
[2020-11-13T09:39:08.456Z] ==> Starting build()...
[2020-11-13T09:39:08.706Z] running build
[2020-11-13T09:39:08.706Z] running build_py
[2020-11-13T09:39:08.706Z] creating build
[2020-11-13T09:39:08.706Z] creating build/lib
[2020-11-13T09:39:08.706Z] creating build/lib/pipreqs
[2020-11-13T09:39:08.706Z] copying pipreqs/__init__.py -> build/lib/pipreqs
[2020-11-13T09:39:08.706Z] copying pipreqs/pipreqs.py -> build/lib/pipreqs
[2020-11-13T09:39:08.706Z] running egg_info
[2020-11-13T09:39:08.706Z] creating pipreqs.egg-info
[2020-11-13T09:39:08.706Z] writing pipreqs.egg-info/PKG-INFO
[2020-11-13T09:39:08.706Z] writing dependency_links to pipreqs.egg-info/dependency_links.txt
[2020-11-13T09:39:08.706Z] writing entry points to pipreqs.egg-info/entry_points.txt
[2020-11-13T09:39:08.706Z] writing requirements to pipreqs.egg-info/requires.txt
[2020-11-13T09:39:08.706Z] writing top-level names to pipreqs.egg-info/top_level.txt
[2020-11-13T09:39:08.706Z] writing manifest file 'pipreqs.egg-info/SOURCES.txt'
[2020-11-13T09:39:08.706Z] reading manifest file 'pipreqs.egg-info/SOURCES.txt'
[2020-11-13T09:39:08.706Z] reading manifest template 'MANIFEST.in'
[2020-11-13T09:39:08.706Z] warning: no previously-included files matching '__pycache__' found under directory '*'
[2020-11-13T09:39:08.706Z] warning: no previously-included files matching '*.py[co]' found under directory '*'
[2020-11-13T09:39:08.706Z] warning: no files found matching 'stdlib' under directory 'docs'
[2020-11-13T09:39:08.706Z] warning: no files found matching 'mapping' under directory 'docs'
[2020-11-13T09:39:08.706Z] writing manifest file 'pipreqs.egg-info/SOURCES.txt'
[2020-11-13T09:39:08.706Z] copying pipreqs/mapping -> build/lib/pipreqs
[2020-11-13T09:39:08.706Z] copying pipreqs/stdlib -> build/lib/pipreqs
[2020-11-13T09:39:08.706Z] ==> Starting check()...
[2020-11-13T09:39:08.957Z] running test
[2020-11-13T09:39:08.957Z] WARNING: Testing via this command is deprecated and will be removed in a future version. Users looking for a generic test entry point independent of test runner are encouraged to use tox.
[2020-11-13T09:39:08.957Z] running egg_info
[2020-11-13T09:39:08.957Z] writing pipreqs.egg-info/PKG-INFO
[2020-11-13T09:39:08.957Z] writing dependency_links to pipreqs.egg-info/dependency_links.txt
[2020-11-13T09:39:08.957Z] writing entry points to pipreqs.egg-info/entry_points.txt
[2020-11-13T09:39:08.957Z] writing requirements to pipreqs.egg-info/requires.txt
[2020-11-13T09:39:08.957Z] writing top-level names to pipreqs.egg-info/top_level.txt
[2020-11-13T09:39:08.957Z] reading manifest file 'pipreqs.egg-info/SOURCES.txt'
[2020-11-13T09:39:08.957Z] reading manifest template 'MANIFEST.in'
[2020-11-13T09:39:08.957Z] warning: no previously-included files matching '__pycache__' found under directory '*'
[2020-11-13T09:39:08.957Z] warning: no previously-included files matching '*.py[co]' found under directory '*'
[2020-11-13T09:39:08.957Z] warning: no files found matching 'stdlib' under directory 'docs'
[2020-11-13T09:39:08.957Z] warning: no files found matching 'mapping' under directory 'docs'
[2020-11-13T09:39:08.957Z] writing manifest file 'pipreqs.egg-info/SOURCES.txt'
[2020-11-13T09:39:08.957Z] running build_ext
[2020-11-13T09:39:08.957Z] test_custom_pypi_server (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:08.957Z] Test that trying to get a custom pypi sever fails correctly ... ok
[2020-11-13T09:39:08.957Z] test_deduplicate_dependencies (tests.test_pipreqs.TestPipreqs) ... ok
[2020-11-13T09:39:08.957Z] test_get_all_imports (tests.test_pipreqs.TestPipreqs) ... ok
[2020-11-13T09:39:08.957Z] test_get_import_name_without_alias (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:08.957Z] Test that function get_name_without_alias() will work on a string. ... ok
[2020-11-13T09:39:08.957Z] test_get_imports_info (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:10.819Z] Test to see that the right number of packages were found on PyPI ... ok
[2020-11-13T09:39:10.819Z] test_get_pkg_names (tests.test_pipreqs.TestPipreqs) ... ok
[2020-11-13T09:39:10.819Z] test_get_use_local_only (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:10.819Z] Test without checking PyPI, check to see if names of local imports matches what we expect ... ok
[2020-11-13T09:39:10.819Z] test_ignored_directory (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:37.219Z] Test --ignore parameter ... ERROR
[2020-11-13T09:39:37.219Z] test_init (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:38.130Z] Test that all modules we will test upon, are in requirements file ... ok
[2020-11-13T09:39:38.130Z] test_init_local_only (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:38.130Z] Test that items listed in requirements.text are the same as locals expected ... ok
[2020-11-13T09:39:38.130Z] test_init_overwrite (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:39.041Z] Test that if requiremnts.txt exists, it will not automatically be overwritten ... WARNING:root:Requirements.txt already exists, use --force to overwrite it
[2020-11-13T09:39:39.041Z] ok
[2020-11-13T09:39:39.041Z] test_init_savepath (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:40.384Z] Test that we can save requiremnts.tt correctly to a different path ... ok
[2020-11-13T09:39:40.384Z] test_invalid_python (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:40.384Z] Test that invalid python files cannot be imported. ... ERROR:root:Failed on file: /build/python-pipreqs/src/pipreqs-0.4.10/tests/_invalid_data/invalid.py
[2020-11-13T09:39:40.384Z] ok
[2020-11-13T09:39:40.384Z] test_omit_version (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:41.727Z] Test --no-pin parameter ... ok
[2020-11-13T09:39:41.727Z] 
[2020-11-13T09:39:41.727Z] ======================================================================
[2020-11-13T09:39:41.727Z] ERROR: test_ignored_directory (tests.test_pipreqs.TestPipreqs)
[2020-11-13T09:39:41.727Z] Test --ignore parameter
[2020-11-13T09:39:41.727Z] ----------------------------------------------------------------------
[2020-11-13T09:39:41.727Z] Traceback (most recent call last):
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/connection.py", line 159, in _new_conn
[2020-11-13T09:39:41.727Z]     conn = connection.create_connection(
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/util/connection.py", line 61, in create_connection
[2020-11-13T09:39:41.727Z]     for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/socket.py", line 953, in getaddrinfo
[2020-11-13T09:39:41.727Z]     for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
[2020-11-13T09:39:41.727Z] socket.gaierror: [Errno -3] Temporary failure in name resolution
[2020-11-13T09:39:41.727Z] 
[2020-11-13T09:39:41.727Z] During handling of the above exception, another exception occurred:
[2020-11-13T09:39:41.727Z] 
[2020-11-13T09:39:41.727Z] Traceback (most recent call last):
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 670, in urlopen
[2020-11-13T09:39:41.727Z]     httplib_response = self._make_request(
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 381, in _make_request
[2020-11-13T09:39:41.727Z]     self._validate_conn(conn)
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn
[2020-11-13T09:39:41.727Z]     conn.connect()
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/connection.py", line 309, in connect
[2020-11-13T09:39:41.727Z]     conn = self._new_conn()
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/connection.py", line 171, in _new_conn
[2020-11-13T09:39:41.727Z]     raise NewConnectionError(
[2020-11-13T09:39:41.727Z] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7efd000c70d0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution
[2020-11-13T09:39:41.727Z] 
[2020-11-13T09:39:41.727Z] During handling of the above exception, another exception occurred:
[2020-11-13T09:39:41.727Z] 
[2020-11-13T09:39:41.727Z] Traceback (most recent call last):
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/requests/adapters.py", line 439, in send
[2020-11-13T09:39:41.727Z]     resp = conn.urlopen(
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 726, in urlopen
[2020-11-13T09:39:41.727Z]     retries = retries.increment(
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/urllib3/util/retry.py", line 439, in increment
[2020-11-13T09:39:41.727Z]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
[2020-11-13T09:39:41.727Z] urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='pypi.python.org', port=443): Max retries exceeded with url: /pypi/pyflakes/json (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7efd000c70d0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))
[2020-11-13T09:39:41.727Z] 
[2020-11-13T09:39:41.727Z] During handling of the above exception, another exception occurred:
[2020-11-13T09:39:41.727Z] 
[2020-11-13T09:39:41.727Z] Traceback (most recent call last):
[2020-11-13T09:39:41.727Z]   File "/build/python-pipreqs/src/pipreqs-0.4.10/tests/test_pipreqs.py", line 169, in test_ignored_directory
[2020-11-13T09:39:41.727Z]     pipreqs.init(
[2020-11-13T09:39:41.727Z]   File "/build/python-pipreqs/src/pipreqs-0.4.10/pipreqs/pipreqs.py", line 430, in init
[2020-11-13T09:39:41.727Z]     imports = local + get_imports_info(difference,
[2020-11-13T09:39:41.727Z]   File "/build/python-pipreqs/src/pipreqs-0.4.10/pipreqs/pipreqs.py", line 187, in get_imports_info
[2020-11-13T09:39:41.727Z]     response = requests.get(
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/requests/api.py", line 76, in get
[2020-11-13T09:39:41.727Z]     return request('get', url, params=params, **kwargs)
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/requests/api.py", line 61, in request
[2020-11-13T09:39:41.727Z]     return session.request(method=method, url=url, **kwargs)
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/requests/sessions.py", line 530, in request
[2020-11-13T09:39:41.727Z]     resp = self.send(prep, **send_kwargs)
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/requests/sessions.py", line 643, in send
[2020-11-13T09:39:41.727Z]     r = adapter.send(request, **kwargs)
[2020-11-13T09:39:41.727Z]   File "/usr/lib/python3.9/site-packages/requests/adapters.py", line 516, in send
[2020-11-13T09:39:41.728Z]     raise ConnectionError(e, request=request)
[2020-11-13T09:39:41.728Z] requests.exceptions.ConnectionError: HTTPSConnectionPool(host='pypi.python.org', port=443): Max retries exceeded with url: /pypi/pyflakes/json (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7efd000c70d0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))
[2020-11-13T09:39:41.728Z] 
[2020-11-13T09:39:41.728Z] ----------------------------------------------------------------------
[2020-11-13T09:39:41.728Z] Ran 14 tests in 32.741s
[2020-11-13T09:39:41.728Z] 
[2020-11-13T09:39:41.728Z] FAILED (errors=1)
[2020-11-13T09:39:41.728Z] Test failed: <unittest.runner.TextTestResult run=14 errors=1 failures=0>
[2020-11-13T09:39:41.728Z] error: Test failed: <unittest.runner.TextTestResult run=14 errors=1 failures=0>
[2020-11-13T09:39:41.728Z] ==> ERROR: A failure occurred in check().
[2020-11-13T09:39:41.728Z]     Aborting...
[2020-11-13T09:39:43.071Z] ==> ERROR: Build failed, check /build/buildpkg/goblins-x86_64/jenkins/build
[Pipeline] }
[2020-11-13T09:39:43.074Z] ERROR: Failed to build source
[2020-11-13T09:39:43.074Z] ERROR: script returned exit code 255
[Pipeline] // catchError
[Pipeline] }
[Pipeline] // dir
Post stage
[Pipeline] emailext
[2020-11-13T09:39:43.158Z] Sending email to: artix-build-failures at artixlinux.org


More information about the artix-build-failures mailing list